clear
capture log close
set more off

*** Global
global root "C:\Users\walke\Dropbox\Shipbuilding project\JEEA_replication_files"

global temp "$root\temp"


**** Load the main data set
use "$root\data\master_data_all_years", clear

***
keep if country=="UK" | country=="US" | country=="CANADA"
drop if region=="pacific"
drop if region=="gulf coast"
drop if region==""

** Generate period variables
drop if year>1910
gen period=.
replace period=7 if year>1900
replace period=6 if year<1901 & year>1890
replace period=5 if year<1891 & year>1880
replace period=4 if year<1881 & year>1870
replace period=3 if year<1871 & year>1860
replace period=2 if year<1861 & year>1850
replace period=1 if year<1851 & year>1840

drop if period==.


** Comparing only sail vs. steam
drop if power==""

** Collapse tons by type and period
gen ships=1
collapse (sum) tons (count) ships, by(country region power period)


** reshape
rename ships ships_
rename tons tons_
reshape wide tons ships, i(country region period) j(power) string

gen country_region=country+" "+region
fillin country_region period

foreach i in tons_sail ships_sail tons_steam ships_steam {
replace `i'=0 if `i'==.
}

gen steam_tons_shr=tons_steam/(tons_steam+tons_sail)
gen steam_ships_shr=ships_steam/(ships_steam+ships_sail)
replace steam_tons_shr=0 if steam_tons_shr==.
replace steam_ships_shr=0 if steam_ships_shr==.

drop country_region _fillin
*** Save out for graphs

order country region period tons_steam ships_steam tons_sail ships_sail steam_tons_shr steam_ships_shr
outsheet using "$root\appendix_tables_figures\Figure_A3_A4\Figure_A3_A4.csv", comma names replace
bob;




************** With 5 year winows *******************

**** Load the main data set
use "$root\output\master_data_all_years", clear

***
keep if country=="UK" | country=="US" | country=="Canada"
drop if region=="pacific"
drop if region==""

** Generate period variables
drop if year>1910
gen period=.
replace period=13 if year>1905
replace period=12 if year<1906 & year>1900
replace period=11 if year<1901 & year>1895
replace period=10 if year<1896 & year>1890
replace period=9 if year<1891 & year>1885
replace period=8 if year<1886 & year>1880
replace period=7 if year<1881 & year>1875
replace period=6 if year<1876 & year>1870
replace period=5 if year<1871 & year>1865
replace period=4 if year<1866 & year>1860
replace period=3 if year<1861 & year>1855
replace period=2 if year<1856 & year>1850
replace period=1 if year<1851 & year>1845
replace period=0 if year<1846 & year>1840

drop if period==.

** Comparing only sail vs. steam
drop if power==""

** Collapse tons by type and period
gen ships=1
collapse (sum) tons (count) ships, by(country region power period)


** reshape
rename ships ships_
rename tons tons_
reshape wide tons ships, i(country region period) j(power) string

foreach i in tons_steam ships_steam tons_sail ships_sail {
replace `i'=0 if `i'==.
}

gen steam_tons_shr=tons_steam/(tons_steam+tons_sail)
gen steam_ships_shr=ships_steam/(ships_steam+ships_sail)

*** Save out for graphs
order country region period tons_steam ships_steam tons_sail ships_sail steam_tons_shr steam_ships_shr
outsheet using "$root\region_graphs\regional_graphs_steam_sail_5yrs.csv", comma names replace

***
