clear
capture log close
set more off


*** Reset global to run script
global root "C:\Users\walke\Dropbox\Shipbuilding project\JEEA_replication_files"


**************************************************************************
*** Generate output data for comparison to aggregate data -- all ships ***

use "$root\data\master_data_all_years", clear
collapse (sum) tons, by(country ship_material year)
drop if year<1840
keep if country=="US" | country=="UK" | country=="CANADA"
drop if ship_material==""
reshape wide tons, i(year ship_material) j(country) string

rename tonsCANADA tonsCANADA_
rename tonsUK tonsUK_ 
rename tonsUS tonsUS_

reshape wide tonsCANADA tonsUK tonsUS, i(year) j(ship_material) string

foreach i in tonsCANADA_iron tonsUK_iron tonsUS_iron tonsCANADA_wood tonsUK_wood tonsUS_wood {
replace `i'=0 if `i'==.
}

gen tonsUS_total=tonsUS_iron+tonsUS_wood
gen tonsUK_total=tonsUK_iron+tonsUK_wood
gen tonsCANADA_total=tonsCANADA_iron+tonsCANADA_wood

gen ln_tons_US=ln(tonsUS_total)
gen ln_tons_UK=ln(tonsUK_total)
gen ln_tons_CA=ln(tonsCANADA_total)

gen total_wood=(tonsUS_wood+tonsUK_wood+tonsCANADA_wood)/1000000
gen total_iron=(tonsUS_iron+tonsUK_iron+tonsCANADA_iron)/1000000

order year tonsUS_total tonsUK_total tonsCANADA_total ln_tons_US ln_tons_UK ln_tons_CA
outsheet using "$root\results\Figure_02_03\Figure_02_03_data.csv", comma names replace

***
