clear
capture log close
set more off

*** Laptop global
global root "C:\Users\walke\Dropbox\Shipbuilding project\JEEA_replication_files"

global temp "$root\temp"


************** With 10 year winows *******************

**** Load the main data set
use "$root\data\master_data_all_years", clear

***
keep if country=="UK" | country=="US" | country=="CANADA"
drop if region=="pacific"
drop if region=="gulf coast"
drop if region==""

** Generate period variables
drop if year>1910
gen period=.
replace period=7 if year>1900
replace period=6 if year<1901 & year>1890
replace period=5 if year<1891 & year>1880
replace period=4 if year<1881 & year>1870
replace period=3 if year<1871 & year>1860
replace period=2 if year<1861 & year>1850
replace period=1 if year<1851 & year>1840

drop if period==.

** Comparing only metal vs. wood
replace ship_material="wood" if ship_material=="Comp"
replace ship_material="wood" if ship_material=="Wood"
replace ship_material="iron" if ship_material=="Steel"
replace ship_material="iron" if ship_material=="Iron"
drop if ship_material==""

** Collapse tons by type and period
gen ships=1
collapse (sum) tons (count) ships, by(country region ship_material period)


** reshape
rename ships ships_
rename tons tons_
reshape wide tons ships, i(country region period) j(ship_material) string

gen country_region=country+" "+region
fillin country_region period

foreach i in tons_iron ships_iron tons_wood ships_wood {
replace `i'=0 if `i'==.
}

gen iron_tons_shr=tons_iron/(tons_iron+tons_wood)
gen iron_ships_shr=ships_iron/(ships_iron+ships_wood)
replace iron_tons_shr=0 if iron_tons_shr==.
replace iron_ships_shr=0 if iron_ships_shr==.

drop country_region _fillin
*** Save out for graphs
outsheet using "$root\results\Figure_04_05\Figure_04_05_data.csv", comma names replace





***
